<html>
    <body>
        <?php
        ini_set("max_execution_time", 5000);
        ini_set('memory_limit', '1024M');
        ?>
        <div>
            <div>
                
                <div style='width: 100%; float: right;'>
                    <p style="text-align: center; font-size: 10pt; font-weight: BOLD;">
                        PEMERINTAH <?= strtoupper($ar_pemda->s_namakabkota); ?>, <?= strtoupper($ar_pemda->s_namaprov); ?>
                    </p>
                    <p style="text-align: center; font-size: 12pt; font-weight: BOLD; line-height: 1px;">
                        <?= strtoupper($ar_pemda->s_namainstansi); ?> (<?= strtoupper($ar_pemda->s_namasingkatinstansi); ?>)
                    </p>
                    <p style="text-align: center; font-size: 8pt; line-height: 5px">
                        <?= strtoupper($ar_pemda->s_alamatinstansi); ?> Telp/Fax <?= $ar_pemda->s_notelinstansi ?>, <?= $ar_pemda->s_namaibukotakabkota ?> <?= $ar_pemda->s_kodepos ?>
                    </p>
                </div>
                <div style='clear:both;'></div>
            </div>
            <hr style="line-height: 1px; color: black">
            <h4 style="text-align: center">LAPORAN PERTANGGUNGJAWABAN BENDAHARA PENERIMAAN SKPD<br>(SPJ - PENDAPATAN - FUNGSIONAL)<br/>Bulan <?= date('m', strtotime($tglcetak)) ?> Tahun <?= date('Y', strtotime($tglcetak)) ?></h4>
            <table style="border:none; font-size: 10pt;">
                <tr style="border:none;">
                    <td style="border:none;">SKPD</td>
                    <td style="border:none; width: 2px;">:</td>
                    <td style="border:none;"><?= strtoupper($ar_pemda->s_namainstansi) ?></td>
                </tr>
                <tr style="border:none;">
                    <td style="border:none;">Pengguna Anggaran</td>
                    <td style="border:none; width: 2px;">:</td>
                    <td style="border:none;"><?=$ar_pejabat0->s_namapej?></td>
                </tr>
                <tr style="border:none;">
                    <td style="border:none;">Bendahara Penerimaan</td>
                    <td style="border:none; width: 2px;">:</td>
                    <td style="border:none;"><?= $ar_pejabat1->s_namapej ?></td>
                </tr>
               
            </table>
            <table width="100%" class="font_sembilan" style="text-align: center">
                <tr>
                    <td class="border_atas border_bawah border_kanan border_kiri" rowspan="2">
                        Kode Rekening
                    </td>
                    <td rowspan="2">
                        Uraian
                    </td>
                    <td rowspan="2">
                        Target Anggaran
                    </td>
                    <td colspan="3">
                        Realisasi
                    </td>
                    <td rowspan="2">
                        %
                    </td>
                    <td colspan="2">
                        Selisih
                    </td>
                </tr>
                <tr>
                    <td class="border_atas border_bawah border_kanan border_kiri">
                        s/d Bulan lalu
                    </td>
                    <td>
                        Bulan ini
                    </td>
                    <td>
                        s/d Bulan ini
                    </td>
                    <td>
                        Selisih Target
                    </td>
                    <td>
                        %
                    </td>
                </tr>
                <?php
                $total_target = 0;
                $total_bulanlalu = 0;
                $total_bulanini = 0;
                $total_sdbulanini = 0;
                $total_selisih = 0;
                $counter = 1;
                foreach ($this->data as $k => $v) {
                    if ($v['s_rinciankorek'] == '00') {
                        $b = '<b>';
                        $b1 = '</b>';
                    } else {
                        $b = '';
                        $b1 = '';
                    }
                    ?>
                    <tr>
                        <td style="text-align: center">
                            <?= $b ?><?= $v['korek'] ?><?= $b1 ?>
                        </td>
                        <td style="text-align: left">
                            <?= $b ?><?= $v['s_namakorek'] ?><?= $b1 ?>
                        </td>
                        <td style="text-align: right">
                            <?= $b ?><?= number_format($v['targetjumlah'], 0, ',', '.') ?><?= $b1 ?>
                        </td>
                        <td style="text-align: right">
                            <?= $b ?><?= number_format($v['real_bulanlalu'], 0, ',', '.') ?><?= $b1 ?>
                        </td>
                        <td style="text-align: right">
                            <?= $b ?><?= number_format($v['real_bulanini'], 0, ',', '.') ?><?= $b1 ?>
                        </td>
                        <td style="text-align: right">
                            <?= $b ?><?= number_format($v['real_sdbulanini'], 0, ',', '.') ?><?= $b1 ?>
                        </td>
                        <td>
                            <?php
                            if ($v['targetjumlah'] != null || $v['targetjumlah'] != 0) {
                                $persenreal = $v['real_sdbulanini'] / $v['targetjumlah'] * 100;
                            }else{
                                $persenreal = 0;
                            }
                            ?>
                            <?= $b ?><?= number_format($persenreal, 0, ',', '.') ?><?= $b1 ?>
                        </td>
                        <td style="text-align: right">
                            <?php $selisih = $v['real_sdbulanini'] - $v['targetjumlah']; ?>
                            <?= $b ?><?= number_format($selisih, 0, ',', '.') ?><?= $b1 ?>
                        </td>
                        <td>
                            <?php
                            if ($v['targetjumlah'] != null || $v['targetjumlah'] != 0) {
                                $persenkurang = $selisih / $v['targetjumlah'] * 100;
                            }else{
                                $persenkurang = 0;
                            }
                            ?>
                            <?= $b ?><?= number_format($persenkurang, 0, ',', '.') ?><?= $b1 ?>
                        </td>
                    </tr>
                    <?php
                    $total_target += $v['targetjumlah'];
                    $total_bulanlalu += $v['real_bulanlalu'];
                    $total_bulanini += $v['real_bulanini'];
                    $total_sdbulanini += $v['real_sdbulanini'];
                    $total_selisih += $selisih;
                }
                ?>
                <tr>
                    <td colspan="2">
                        Total
                    </td>
                    <td style="text-align: right">
                        
                    </td>
                    <td style="text-align: right">
                        <?= number_format($total_bulanlalu/2, 0, ',', '.') ?>
                    </td>
                    <td style="text-align: right">
                        <?= number_format($total_bulanini/2, 0, ',', '.') ?>
                    </td>
                    <td style="text-align: right">
                        <?= number_format($total_sdbulanini/2, 0, ',', '.') ?>
                    </td>
                    <td>
                        <?= number_format($total_sdbulanini / $total_target * 100/2, 0, ',', '.') ?> %
                    </td>
                    <td style="text-align: right">
                        <?= number_format($total_selisih/2, 0, ',', '.') ?>
                    </td>
                    <td>
                        <?= number_format($total_selisih / $total_target * 100/2, 0, ',', '.') ?> %
                    </td>
                </tr>
            </table>
        </div>
    </body>
</html>

<style type="text/css" media="print">
    table, th, td {
        border: 1px solid black;
        border-collapse: collapse;
    }
    .font_empatbelas {
        font-size: 14pt;
    }    
</style>
